Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 07:39
All times are UTC - 4
 Forum index » Off-Topic Area » Programming
Vala and Genie programming
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 27 of 35 Posts_count   Goto page: Previous 1, 2, 3, ..., 25, 26, 27, 28, 29, ..., 33, 34, 35 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Mon 13 Jul 2009, 14:37    Post_subject:  

Caleb, you also need:
ftp://ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-4/gtksourceview_DEV-2.4.2-pup4.pet

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
caleb72

Joined: 15 May 2009
Posts: 57

PostPosted: Mon 13 Jul 2009, 19:22    Post_subject:  

That sorted things - to a degree.

I managed to compile NicoEdit with bk_compile - but the first time it complained about many things so I thought I probably needed the dev of glib as well. So I hunted that down and regressed all my runtime glib to 2.18 like the dev available at ibiblio.

I then got a successful build with only one warning:

Code:
nicoedit.gs:877.32-877.35: warning: Argument 1: Cannot pass null to non-null parameter type
        buf = new SourceBuffer(null)


However, no syntax highlighting when running the application.

I still can't build either Valide or NicoEdit using waf. It's no longer complaining about my glib version (thank god). Now it's complaining about my gtk2 version.

Code:
Checking for gtk+-2.0 >= 2.16.0             :
 error: the configuration failed (see '/root/my-documents/valide-0.5.0/_build_/config.log')


I don't see a version of gtk2 >= 2.16.0 in ibiblio. Is this something I'm going to have to find elsewhere?

Regards
Caleb
Back to top
View user's profile Send_private_message 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Tue 14 Jul 2009, 04:55    Post_subject:  

Hi Caleb,

For the warning, it is not important.

You do not have syntax highlighting with all files you loaded with NicoEdit ?

Nicolas.
Back to top
View user's profile Send_private_message 
caleb72

Joined: 15 May 2009
Posts: 57

PostPosted: Tue 14 Jul 2009, 07:09    Post_subject:  

nikobordx wrote:
Hi Caleb,

For the warning, it is not important.

You do not have syntax highlighting with all files you loaded with NicoEdit ?

Nicolas.


So far I haven't had any syntax regardless of file loaded or just by specifying the highlighting I want in the view menu.

I also notice that sometimes NicoEdit recognises what syntax highlighting it should use - but still doesn't.

Eg. if I load C source, it recognises the file as C and selects that highlighting - but there actually is no highlighting.
However, .vala files are recognised as C and .gs files are recognised as Text.

So far I've tried syntax highlighting for .vala, .gs, .c, .h, .sh, .htm and .html files. No highlighting on any.

I've guessing this is a gtksourceview issue - just don't know what I'm supposed to do about it.

Regards
Caleb
Back to top
View user's profile Send_private_message 
caleb72

Joined: 15 May 2009
Posts: 57

PostPosted: Tue 14 Jul 2009, 08:09    Post_subject:  

OK - not sure if this helps - but I ran from the command line so that I could see what was being output when I changed syntax highlighting (incidentally this happens with Medit as well so it's not specific to NicoEdit).

When I select genie as a language in either app I get this:

(medit:24664): Moo-WARNING **: Failed to load '/usr/share/moo/language-specs/genie.lang': style override used with wildcard context reference in language 'genie' in ref 'def:line-continue'

NicoEdit makes exactly the same complaint but for language files loaded in a different location. Also the complaint is the same whether you select any of the languages in the list or if you load a file of a particular language.

Perhaps this brings the answer closer to the surface?

Regards
Caleb
Back to top
View user's profile Send_private_message 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Wed 15 Jul 2009, 17:49    Post_subject:  

Hi Caleb,

Does the .lang correctly installed ?
If not, try to reinstall gtksourceview !

Nicolas.
Back to top
View user's profile Send_private_message 
caleb72

Joined: 15 May 2009
Posts: 57

PostPosted: Fri 17 Jul 2009, 20:02    Post_subject:  

OK - some more info:

When I run Medit from the command line I get the following critical failures on start-up.

Code:
(medit:20487): Moo-WARNING **: moooutputfilterregex.c:647: PCRE library is compiled without UTF8 properties support

(medit:20487): GLib-CRITICAL **: PCRE library is compiled without UTF8 properties support

(medit:20487): GLib-CRITICAL **: g_regex_match_full: assertion `regex != NULL' failed


I see that PCRE is for regular expressions. I'm not sure if this can explain problems with syntax highlighting because I'm guessing at its core that a syntax highlighter would make extensive use of regular expressions.

However, when I run NicoEdit, I'm not getting these errors in start-up - although I am getting the following:

Code:
** (nicoedit:22558): CRITICAL **: nico_edit_open_file: assertion `filename != NULL' failed

(nicoedit:22558): GtkSourceView-CRITICAL **: gtk_source_language_manager_get_language: assertion `id != NULL' failed


The .lang files seem to be there where it's trying to source both for nicoedit and for medit - but neither can seem to understand them properly or something.

I might try to do all of this on another 4.2 puppy I have set up and see if there's just something weird in my setup somewhere.

Regards
Caleb
Back to top
View user's profile Send_private_message 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Sat 18 Jul 2009, 04:32    Post_subject:  

Hi Caleb,

For:
Code:
** (nicoedit:22558): CRITICAL **: nico_edit_open_file: assertion `filename != NULL' failed

It is not important, i have also this error, it's because no file are loaded when you load NicoEdit, if you use NicoEdit via command line (eg: nicoedit yourfile.txt) the message disappear.

For:
Code:
(nicoedit:22558): GtkSourceView-CRITICAL **: gtk_source_language_manager_get_language: assertion `id != NULL' failed

It is not normal !
You must reinstall gtksourceview or use a newer version.

Nicolas.
Back to top
View user's profile Send_private_message 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Sun 30 Aug 2009, 07:03    Post_subject:    

[Message deleted]

See newer message !

Edited_time_total
Back to top
View user's profile Send_private_message 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Mon 31 Aug 2009, 13:51    Post_subject:  

[Message deleted]

See newer message !

Edited_time_total
Back to top
View user's profile Send_private_message 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Fri 04 Sep 2009, 17:24    Post_subject:  

[Message deleted]

See newer message !

Edited_times_total
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Tue 08 Sep 2009, 06:29    Post_subject:  

Nico am starting a new thread for your Geany (text editor) Vala-Genie (programming language) program here :
http://www.murga-linux.com/puppy/viewtopic.php?p=339260#339260

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
nikobordx

Joined: 23 May 2009
Posts: 84
Location: Bordeaux, France

PostPosted: Sun 13 Sep 2009, 13:03    Post_subject:  

[Message deleted]

See newer message !

Edited_time_total
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 13 Sep 2009, 14:12    Post_subject:  

removed, forum works again.
_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Mon 14 Sep 2009, 02:17    Post_subject:  

I edited the bk_scripts a bit and got a 75 kb nicoedit binary and 35kb pet. Working great so far, but haven't tried it with genie yet. Uploaded for your pleasure. (without the french it is only 32k)

you can get the same results by not deleting the .c file in bk_compile and using:

gcc -Os -ffunction-sections -fdata-sections -momit-leaf-frame-pointer -fomit-frame-pointer -mpreferred-stack-boundary=2 -fmerge-all-constants -march=i386 -mtune=i386 -Wl,-O,-Os,--gc-sections,-s `pkg-config --cflags gtk+-2.0 --libs gtk+-2.0` `pkg-config --cflags cairo --libs cairo` `pkg-config --cflags glib-2.0 --libs glib-2.0` `pkg-config --cflags pango --libs pango` `pkg-config --cflags gtksourceview-2.0 --libs gtksourceview-2.0` -I/usr/include/gee-1.0 -I/usr/include -I. -lgee -w -std=c99 nicoedit.c -o nicoedit
nicoedit.pet
Description 
pet

 Download 
Filename  nicoedit.pet 
Filesize  34.73 KB 
Downloaded  575 Time(s) 

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 27 of 35 Posts_count   Goto page: Previous 1, 2, 3, ..., 25, 26, 27, 28, 29, ..., 33, 34, 35 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Off-Topic Area » Programming
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0956s ][ Queries: 12 (0.0185s) ][ GZIP on ]